import { ProductSchema, BaseFieldSchemas, MediaSchema } from '@byondrnd/showroom-schemas';
import { IProduct, ICatalogFieldsMapping, IFacet } from '../app/EventSystem/EventTypes';
export declare type ProductMediaTypes = 'frontal_image' | 'right_image' | 'back_image' | 'left_image' | 'additional_images';
export declare function isImageMediaType(type: ProductMediaTypes): boolean;
export declare function isImageMedia(productMedia: BaseFieldSchemas.BaseProductMediaFieldSchema.IBaseProductMediaField): boolean;
export declare function GetMediaByType(product: ProductSchema.IProduct, type: ProductMediaTypes): MediaSchema.IMedia;
export declare const GetFrontMediaUrl: (product: ProductSchema.IProduct) => string;
export declare function getCustomField(product: ProductSchema.IProduct, key: string): string | number | Array<any>;
export declare function getCustomMediaField(product: ProductSchema.IProduct, key: string): MediaSchema.IMedia;
export declare function getProductApplication(product: ProductSchema.IProduct): string;
export declare function getProductFacets(product: ProductSchema.IProduct): IFacet[];
export declare function getProductPrice(product: ProductSchema.IProduct): string;
export declare function getProductFormatField(product: ProductSchema.IProduct, field: string): string;
export declare function formatProduct(product: ProductSchema.IProduct, _fieldsMap: ICatalogFieldsMapping): IProduct;
